@import "../../../assets/variables";
@import "../formFieldMixin";

.input {
  $root: &;
  @include main($root);

  padding: $padding-sm;

  &__container {
    @include container($root);

    padding: $padding-sm;
  }

  &__before {
    @include before($root);
  }

  &__content {
    @include content($root);

    width: 0;
  }

  &__after {
    @include after($root);
  }

  &__input {
    cursor: text;

    height: 14px;
    width: 0;
    flex-grow: 1;
  }
}
